<?xml version="1.0" encoding="utf-8"?>
<mx:Canvas xmlns:mx="http://www.adobe.com/2006/mxml" width="24" height="24" borderStyle="solid" borderColor="#FFFFFF" backgroundColor="#CCCCCC" backgroundAlpha="1" buttonMode="true" useHandCursor="true" enabled="true">
	<mx:Script>
		<![CDATA[
			import br.net.upcode.framework.amf.AMFConnector;
			import br.net.upcode.framework.popup.UPCPopUpManager;
			import br.com.desenv.framework.util.DsvObjectUtil;
			import mx.core.FlexGlobals;;
			import mx.collections.ArrayCollection;
			import mx.rpc.events.FaultEvent;
			import mx.rpc.events.ResultEvent;
			import mx.rpc.remoting.mxml.RemoteObject;
			import mx.controls.Alert;
			
					
			[Bindable]private var backAlpha:Number = 0;
		
		
			[Bindable]private var _label:String;
			override public function set label(value:String):void
			{
				_label = value;
			}
			
			
			//[Bindable]private var _enabled:Boolean = true;
			override public function set enabled(value:Boolean):void
			{
				super.enabled = value;								
			}
			
			
			[Bindable]private var _selected:Boolean = false;
			public function set selected(value:Boolean):void
			{
				_selected = value;
				
				if (value)
					this.setStyle("backgroundColor","#a2a2a2");
				else
					this.setStyle("backgroundColor","#cccccc");				
			}
			
			private var _page:int;
			public function set page(value:int):void
			{
				_page = value;
			}
			public function get page():int
			{
				return _page;
			}
			
			private var _start:int;
			public function set start(value:int):void
			{
				_start = value;
			}
			public function get start():int
			{
				return _start;
			}
			private var _count:int;
			public function set count(value:int):void
			{
				_count = value;
			}
			public function get count():int
			{
				return _count;
			}
			
			private function onClick(event:MouseEvent):void
			{
				var e:PaginationEvent = new PaginationEvent(PaginationEvent.PAGE_NAV, this);
				dispatchEvent(e);
			}
		]]>
	</mx:Script>
	<mx:Metadata>
		[Event(name="pageNav",type="br.com.desenv.framework.component.test.PaginationEvent")]
	</mx:Metadata>
	<mx:Label text="{_label}" verticalCenter="0" horizontalCenter="0" textAlign="center" color="#ffffff" selectable="false" buttonMode="true" useHandCursor="true"/>
	<mx:Canvas width="100%" height="100%" buttonMode="true" useHandCursor="true" backgroundAlpha="{backAlpha}" click="onClick(event)" />
</mx:Canvas>
